<template>
  <div class="left-column winner-banner-section">
    <div class="left-side">
      <div
        :class="homepage ? 'image-winner-wrap-homepage' : 'image-winner-wrap'"
      >
        <img
          v-if="dataTable[0] && dataTable[0].avatar"
          :class="homepage ? 'img-winner-homepage' : 'img-winner'"
          :src="dataTable[0].avatar"
        />
        <img v-else class="img-winner" src="@/assets/img/logo_bsb@2x.png" />
      </div>
    </div>
    <div class="right-side">
      <div class="right-side-top">
        <div class="wrap-top">
          <div class="image image-cup">
            <img src="@/assets/img/winner-cup-icon.png" />
          </div>
          <div class="side-title">
            <span class="winner-trophy">Winner</span>
          </div>
        </div>
        <div
          class="wrap-bottom"
          v-if="
            dataTable && dataTable[0] && (dataTable[0].btc || dataTable[0].bsbt)
          "
        >
          <h4>{{ dataTable[0].name }}</h4>
          <h3>{{ dataTable[0].btc.coin }} BTC</h3>
          <h5>({{ dataTable[0].btc.usd }} USD)</h5>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    dataTable: Array,
    homepage: Boolean,
  },
  mounted() {
    console.log("winner banner: ", this.dataTable[0]);
  },
};
</script>

<style scoped>
ul {
  list-style-type: none;
}

.left-column button {
  border-radius: 15px;
  background: white;
  width: 100px;
  line-height: 25px;
  border: 2px solid #777;
}

.big-title {
  position: relative;
  padding-left: 1rem;
  padding-top: 20px;
}

.big-title .title {
  position: relative;
}

.big-title h1 {
  font-size: 65px;
  color: #f6eddc;
}

.big-title h2 {
  position: absolute;
  top: 55%;
  z-index: 2;
  left: 1.5rem;
  font-weight: 700;
}

.big-title .col-lg-6:last-child {
  position: relative;
}

.date-picker {
  padding-left: 2rem;
}

.date-input {
  border-radius: 10px;
  padding: 3px 0;
  width: 150px;
  margin-left: 25px;
}

.img-winner {
  width: 100%;
  height: auto;
}

.img-winner-homepage {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10%;
}

.image-winner-wrap {
  overflow: hidden;
  /* height: 580px; */
}

.image-winner-wrap-homepage {
  overflow: hidden;
  height: 580px;
}

.right-side {
  position: relative;
  padding-top: 20px;
  padding-left: 15px;
}

.right-side-top {
  display: flex;
}

.wrap-top {
  border-right: 1px solid;
  padding-right: 10px;
}

.image img {
  width: 100%;
  height: auto;
}

.image-cup {
  width: 80px;
}

.wrap-top .side-title {
  text-align: center;
}

.winner-trophy {
  font-size: 20px;
  font-weight: 700;
}

.wrap-bottom {
  padding-left: 20px;
}

.wrap-bottom h3 {
  color: red;
  font-weight: 700;
}

.wrap-bottom h5 {
  font-size: 16px;
}

.btn-list {
  margin-top: 15px;
}

.main-list ul li {
  border-bottom: 1px solid black;
  padding-bottom: 15px;
}

.list-header {
  border-bottom: 1px solid black;
  padding-bottom: 10px !important;
  margin-right: 20px;
}

.list-header span {
  font-size: 18px;
  font-weight: 700;
}

.list {
  padding-top: 30px;
}

.list-body li:first-child {
  color: red;
}

.list-body li {
  font-weight: 700;
  padding-bottom: 15px;
  border-bottom: 1px solid black;
  padding-top: 10px;
}

.list-body li .row .col:nth-child(3) span:nth-child(3) {
  font-weight: 500 !important;
}

.list .col:nth-child(2) {
  text-align: center;
}

.list .col:nth-child(3) {
  text-align: right;
}

.list-body {
  overflow-y: auto;
  overflow-x: hidden;
  height: 460px;
  padding-right: 15px;
}

.list-body::-webkit-scrollbar {
  width: 7px;
  height: 11px;
  border-radius: 5px;
}

.view-more {
  text-align: center;
}

/* Track */
.list-body::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
.list-body::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 5px;
}

/* Handle on hover */
.list-body::-webkit-scrollbar-thumb:hover {
  background: #555;
}

@media (max-width: 1200px) {
  .list-body {
    height: 380px;
  }
  .list {
    padding-left: 5px;
    margin-right: -5px;
  }
}

@media (max-width: 1024px) {
  .left-column {
    padding-top: 50px;
  }
}

@media (max-width: 768px) {
  .list-body li {
    font-weight: 700;
  }
  .col {
    width: 20%;
    font-size: 13px;
  }
  .list {
    padding-left: 5px;
    margin-right: -5px;
  }
  .list .row {
    --bs-gutter-x: 0;
  }
  .big-title {
    padding-left: 0px;
  }
  .big-title h1 {
    font-size: 45px;
  }
  .big-title h2 {
    left: 0.5rem;
  }
  .image-winner-wrap {
    width: 130px;
    height: 150px;
    padding-top: 20px;
  }
  .image-winner-wrap-homepage {
    width: 130px;
    height: 150px;;
    padding-top: 20px;
  }
  .img-winner {
    object-fit: cover;
    height: 80px;
    width: 80px;
    border-radius: 10px;
  }
  .image-cup {
    width: 60px;
  }
  .wrap-btn-list {
    text-align: right;
    padding-right: 30px;
  }
  .wrap-bottom h3 {
    font-size: 14px;
    /* font-weight: normal; */
  }
  .wrap-bottom h4 {
    font-size: 14px;
    font-weight: normal;
  }
  .wrap-bottom h5 {
    font-size: 13px;
    font-weight: normal;
  }
}

@media (max-width: 992px) {
  .left-column {
    display: flex;
    /* justify-content: space-around */
  }
  .image-winner-wrap {
    height: 100%;
    width: auto;
    padding-top: 20px;
  }
  .img-winner {
    object-fit: cover;
    /* height: auto; */
    width: 150px;
    border-radius: 10px;
  }
  .img-winner-homepage {
    object-fit: cover;
    /* height: auto; */
    width: 150px;
    border-radius: 10px;
  }
}

@media (max-width: 320px) {
  .list-body li {
    font-weight: normal;
  }
}
</style>
